Pause on next bytecode instead of immediately
Firebug and Chrome use the pause button to enter the debugger in the next executed JavaScript bytecode (displaying a "pausing..." label until that happens). This is more useful than our current behavior of pausing immediately when there is no JavaScript code running in the event loop. See also bug 785689 comment 6.